[arch-commits] Commit in gst-plugins-bad/repos (2 files)

Jan Steffens heftig at archlinux.org
Sun Mar 11 04:23:08 UTC 2018


    Date: Sunday, March 11, 2018 @ 04:23:08
  Author: heftig
Revision: 318529

archrelease: copy trunk to gnome-unstable-x86_64

Added:
  gst-plugins-bad/repos/gnome-unstable-x86_64/
  gst-plugins-bad/repos/gnome-unstable-x86_64/PKGBUILD
    (from rev 318528, gst-plugins-bad/trunk/PKGBUILD)

----------+
 PKGBUILD |   68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 68 insertions(+)

Copied: gst-plugins-bad/repos/gnome-unstable-x86_64/PKGBUILD (from rev 318528, gst-plugins-bad/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD	                        (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD	2018-03-11 04:23:08 UTC (rev 318529)
@@ -0,0 +1,68 @@
+# $Id$
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gst-plugins-bad
+pkgver=1.13.90+19+g16b9e1e44
+pkgrel=1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins"
+url="https://gstreamer.freedesktop.org/"
+arch=(x86_64)
+license=(LGPL)
+depends=(mjpegtools gst-plugins-base-libs curl chromaprint libmms faad2 celt libdca libdvdnav
+         libmodplug libgme wayland libofa openjpeg2 libwebp libsrtp gnutls sbc rtmpdump libgudev
+         libexif libdvdread libvdpau libmpeg2 wildmidi ladspa openal libusb vulkan-icd-loader
+         libfdk-aac faac soundtouch spandsp neon webrtc-audio-processing libdc1394 libmpcdec zvbi
+         openexr libbs2b libnice lcms2 bluez-libs flite glu)
+makedepends=(python gtk-doc autoconf-archive git gobject-introspection gtk3 vulkan-headers
+             vulkan-validation-layers librsvg libtiger zbar fluidsynth lilv opencv)
+_commit=16b9e1e444519fc72bbb42f76f2dc1e386e5a1be  # master
+source=("git+https://anongit.freedesktop.org/git/gstreamer/gst-plugins-bad#commit=$_commit"
+        "gst-common::git+https://anongit.freedesktop.org/git/gstreamer/common")
+sha256sums=('SKIP'
+            'SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+
+  git submodule init
+  git config --local submodule.common.url "$srcdir/gst-common"
+  git submodule update
+
+  sed -i 's/cmu_us_kal/&16/g' configure.ac ext/flite/gstflitetestsrc.c
+
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  cd $pkgname
+  ./configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --localstatedir=/var \
+    --libexecdir=/usr/lib \
+    --with-package-name="GStreamer Bad Plugins (Arch Linux)" \
+    --with-package-origin="https://www.archlinux.org/" \
+    --with-gtk=3.0 \
+    --enable-experimental \
+    --enable-gtk-doc \
+    --disable-static
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+  make
+}
+
+check() {
+  cd $pkgname
+  # bad tests are bad
+  #make -k check || :
+}
+
+package() {
+  cd $pkgname
+  make DESTDIR="$pkgdir" install
+}



More information about the arch-commits mailing list